<div dir="ltr"><br><div class="gmail_extra">Hi,<br><br></div><div class="gmail_extra">Possibly a dumb suggestion but did you try a plain --with-mysql (no capitalization) with ./configure<br></div><div class="gmail_extra">If you request MySQL support and configure cannot find required libraries, it will fail with an error. However, if you supply --with-MySQL, configure will possibly only show a warning (at the beginning) and then happily continue with rest of configuration process.<br><br></div><div class="gmail_extra">I haven't compiled barnyard from source in a long time, but I think if you look at configure output, you should see something like<br></div><div class="gmail_extra">"Checking for MySQL support"...yes<br></div><div class="gmail_extra">in the output<br></div><div class="gmail_extra">Also when you do a make, a MYSQL(or something similar) flag should be added to each compile command printined during make process. (Something like -DMYSQL)<br></div><div class="gmail_extra">If both these are not present, it points to the fact that configure was run without request for MySQL support.<br></div><div class="gmail_extra"><br></div><div class="gmail_extra">Regards,<br></div><div class="gmail_extra">Dheeraj<br></div><div class="gmail_extra"><br></div><div class="gmail_extra"><div class="gmail_quote">On Mon, Jan 16, 2017 at 9:57 AM,  <span dir="ltr"><<a href="mailto:snort-users-request@lists.sourceforge.net" target="_blank">snort-users-request@lists.sourceforge.net</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Send Snort-users mailing list submissions to<br>
        <a href="mailto:snort-users@...5870....net">snort-users@...3783...<wbr>net</a><br>
<br>
To subscribe or unsubscribe via the World Wide Web, visit<br>
        <a href="https://lists.sourceforge.net/lists/listinfo/snort-users" rel="noreferrer" target="_blank">https://lists.sourceforge.net/<wbr>lists/listinfo/snort-users</a><br>
or, via email, send a message with subject or body 'help' to<br>
        <a href="mailto:snort-users-request@...974...rceforge.net">snort-users-request@...8192...<wbr>sourceforge.net</a><br>
<br>
You can reach the person managing the list at<br>
        <a href="mailto:snort-users-owner@...635...eforge.net">snort-users-owner@...8192...<wbr>sourceforge.net</a><br>
<br>
When replying, please edit your Subject line so it is more specific<br>
than "Re: Contents of Snort-users digest..."<br>
<br>
<br>
When responding, please don't respond with the entire Digest.  Please trim your response.<br>
<br>
Today's Topics:<br>
<br>
   1. Re: Question regarding Barnyard2 (Bob Baller)<br>
   2. Re: Question regarding Barnyard2 (Noah Dietrich)<br>
<br>
<br>
------------------------------<wbr>------------------------------<wbr>----------<br>
<br>
Message: 1<br>
Date: Sun, 15 Jan 2017 13:02:48 -0600<br>
From: "Bob Baller" <<a href="mailto:bobballer@...15978...">bobballer@...15978...</a>><br>
Subject: Re: [Snort-users] Question regarding Barnyard2<br>
To: "'Y M'" <<a href="mailto:snort@...15979...">snort@...15979...</a>>,        <<a href="mailto:snort-users@lists.sourceforge.net">snort-users@...8192...<wbr>sourceforge.net</a>><br>
Message-ID: <002401d26f61$f7088fd0$<wbr>e519af70$@<a href="http://q.com" rel="noreferrer" target="_blank">q.com</a>><br>
Content-Type: text/plain; charset="us-ascii"<br>
<br>
Thanks for the response.  Looking in Synaptic, I see the following<br>
installed:<br>
<br>
<br>
<br>
.         Libmysqlclient-dev<br>
<br>
.         libmysqlclient20<br>
<br>
Both of them are at version 5.7.16-0ubuntu0.16.04.1<br>
<br>
<br>
<br>
So here is possibly a dumb question:  Is it possible for something to be<br>
installed and not show up in Synaptic?<br>
<br>
<br>
<br>
<br>
<br>
From: Y M [mailto:<a href="mailto:snort@...15979...">snort@...15979...</a>]<br>
Sent: Sunday, January 15, 2017 9:05 AM<br>
To: <a href="mailto:snort-users@lists.sourceforge.net">snort-users@...17674...3...<wbr>net</a><br>
Subject: Re: [Snort-users] Question regarding Barnyard2<br>
<br>
<br>
<br>
I "think" you have to also install libmysqlclient-dev or it's equivalent on<br>
your distro. I am not on a computer to validate.<br>
<br>
<br>
<br>
YM.<br>
<br>
_____________________________<br>
From: Bob Baller <<a href="mailto:bobballer@...15978...">bobballer@...979...15978...</a>><br>
Sent: Sunday, January 15, 2017 12:32 AM<br>
Subject: [Snort-users] Question regarding Barnyard2<br>
To: <<a href="mailto:snort-users@lists.sourceforge.net">snort-users@...846....8192...<wbr>sourceforge.net</a>><br>
<br>
<br>
<br>
<br>
<br>
Hello,  I am having a problem getting Barnyard2 to work.  Snort seems to be<br>
working fine but I keep getting the following error when I attempt to run<br>
Barnyard:<br>
<br>
ERROR database: 'mysql' support is not compiled into this build of barnyard2<br>
<br>
<br>
<br>
ERROR: If this build of barnyard2 was obtained as a binary distribution<br>
(e.g., rpm,<br>
<br>
or Windows), then check for alternate builds that contains the necessary<br>
<br>
'mysql' support.<br>
<br>
<br>
<br>
I've set '--with-MySql' and have reinstalled it many times.  I am clearly<br>
missing something<br>
<br>
<br>
<br>
I am running the following<br>
<br>
<br>
<br>
Linux Mint           ver 18 32bit<br>
<br>
MySql                   ver 5.7.16-0ubuntu0.16.04.1<br>
<br>
Snort                     ver 2.9.7.0-5<br>
<br>
Barnyard2           ver 2.1.14 Build 339<br>
<br>
<br>
<br>
I would appreciate any help.<br>
<br>
<br>
<br>
-------------- next part --------------<br>
An HTML attachment was scrubbed...<br>
<br>
------------------------------<br>
<br>
Message: 2<br>
Date: Mon, 16 Jan 2017 06:27:04 +0200<br>
From: Noah Dietrich <<a href="mailto:noah_dietrich@...17393...">noah_dietrich@...17393...</a>><br>
Subject: Re: [Snort-users] Question regarding Barnyard2<br>
To: Bob Baller <<a href="mailto:bobballer@...15978...">bobballer@...15052...978...</a>><br>
Cc: <a href="mailto:snort-users@lists.sourceforge.net">snort-users@...17674...3...<wbr>net</a><br>
Message-ID:<br>
        <<a href="mailto:CA%2BN0JEyRoey3ffnL9CeEWHhTSYRTYFLEZxXiiM5oWPzOL4m-nQ@...11828...">CA+<wbr>N0JEyRoey3ffnL9CeEWHhTSYRTYFLE<wbr>ZxXiiM5oWPzOL4m-nQ@...17735...<wbr>com</a>><br>
Content-Type: text/plain; charset="utf-8"<br>
<br>
These are the two sql libraries you need to install Barnyard2:<br>
sudo apt-get install -y mysql-server libmysqlclient-dev mysql-client<br>
<br>
I suspect that your issue is that you're not using the correct flag when<br>
you configure barnyard2.  The correct command is one of the following two<br>
lines (probably the second line, since you're on the x86 version of Ubuntu):<br>
./configure --with-mysql --with-mysql-libraries=/usr/<wbr>lib/x86_64-linux-gnu<br>
./configure --with-mysql --with-mysql-libraries=/usr/<wbr>lib/i386-linux-gnu<br>
this ensures that you are adding the correct mysql libraries.<br>
<br>
These instructions are from my Snort guide:<br>
<a href="http://sublimerobots.com/2017/01/snort-2-9-9-x-ubuntu-installing-barnyard2/" rel="noreferrer" target="_blank">http://sublimerobots.com/2017/<wbr>01/snort-2-9-9-x-ubuntu-<wbr>installing-barnyard2/</a><br>
<br>
On another note: the version of Snort that you are installing is really old<br>
(i'm assuming you're installing it from the repositories).  You probably<br>
want to install snort manually to get the latest (and supported) version.<br>
My guide is here for the 2.9.9.0 version (latest) release of snort on<br>
Ubuntu:<br>
<a href="http://sublimerobots.com/2017/01/snort-2-9-9-x-ubuntu-installing-snort/" rel="noreferrer" target="_blank">http://sublimerobots.com/2017/<wbr>01/snort-2-9-9-x-ubuntu-<wbr>installing-snort/</a>,<br>
along with barnyard2, PulledPork, and BASE.<br>
<br>
Noah<br>
<br>
On Sun, Jan 15, 2017 at 9:02 PM, Bob Baller <<a href="mailto:bobballer@...15978...">bobballer@...15978...</a>> wrote:<br>
<br>
> Thanks for the response.  Looking in Synaptic, I see the following<br>
> installed:<br>
><br>
><br>
><br>
> ?         Libmysqlclient-dev<br>
><br>
> ?         libmysqlclient20<br>
><br>
> Both of them are at version 5.7.16-0ubuntu0.16.04.1<br>
><br>
><br>
><br>
> So here is possibly a dumb question:  Is it possible for something to be<br>
> installed and not show up in Synaptic?<br>
><br>
><br>
><br>
><br>
><br>
> *From:* Y M [mailto:<a href="mailto:snort@...15979...">snort@...16052...9...</a>]<br>
> *Sent:* Sunday, January 15, 2017 9:05 AM<br>
> *To:* <a href="mailto:snort-users@lists.sourceforge.net">snort-users@...3783...<wbr>net</a><br>
> *Subject:* Re: [Snort-users] Question regarding Barnyard2<br>
><br>
><br>
><br>
> I "think" you have to also install libmysqlclient-dev or it's equivalent<br>
> on your distro. I am not on a computer to validate.<br>
><br>
><br>
><br>
> YM.<br>
><br>
> _____________________________<br>
> From: Bob Baller <<a href="mailto:bobballer@...15978...">bobballer@...15978...</a>><br>
> Sent: Sunday, January 15, 2017 12:32 AM<br>
> Subject: [Snort-users] Question regarding Barnyard2<br>
> To: <<a href="mailto:snort-users@lists.sourceforge.net">snort-users@...8192...<wbr>sourceforge.net</a>><br>
><br>
><br>
><br>
> Hello,  I am having a problem getting Barnyard2 to work.  Snort seems to<br>
> be working fine but I keep getting the following error when I attempt to<br>
> run Barnyard:<br>
><br>
> ERROR database: 'mysql' support is not compiled into this build of<br>
> barnyard2<br>
><br>
><br>
><br>
> ERROR: If this build of barnyard2 was obtained as a binary distribution<br>
> (e.g., rpm,<br>
><br>
> or Windows), then check for alternate builds that contains the necessary<br>
><br>
> 'mysql' support.<br>
><br>
><br>
><br>
> I?ve set ?--with-MySql? and have reinstalled it many times.  I am clearly<br>
> missing something<br>
><br>
><br>
><br>
> I am running the following<br>
><br>
><br>
><br>
> Linux Mint           ver 18 32bit<br>
><br>
> MySql                   ver 5.7.16-0ubuntu0.16.04.1<br>
><br>
> Snort                     ver 2.9.7.0-5<br>
><br>
> Barnyard2           ver 2.1.14 Build 339<br>
><br>
><br>
><br>
> I would appreciate any help.<br>
><br>
><br>
><br>
> ------------------------------<wbr>------------------------------<br>
> ------------------<br>
> Developer Access Program for Intel Xeon Phi Processors<br>
> Access to Intel Xeon Phi processor-based developer platforms.<br>
> With one year of Intel Parallel Studio XE.<br>
> Training and support from Colfax.<br>
> Order your platform today. <a href="http://sdm.link/xeonphi" rel="noreferrer" target="_blank">http://sdm.link/xeonphi</a><br>
> ______________________________<wbr>_________________<br>
> Snort-users mailing list<br>
> <a href="mailto:Snort-users@lists.sourceforge.net">Snort-users@...7494...83...<wbr>net</a><br>
> Go to this URL to change user options or unsubscribe:<br>
> <a href="https://lists.sourceforge.net/lists/listinfo/snort-users" rel="noreferrer" target="_blank">https://lists.sourceforge.net/<wbr>lists/listinfo/snort-users</a><br>
> Snort-users list archive:<br>
> <a href="http://sourceforge.net/mailarchive/forum.php?forum_name=snort-users" rel="noreferrer" target="_blank">http://sourceforge.net/<wbr>mailarchive/forum.php?forum_<wbr>name=snort-users</a><br>
><br>
> Please visit <a href="http://blog.snort.org" rel="noreferrer" target="_blank">http://blog.snort.org</a> to stay current on all the latest<br>
> Snort news!<br>
><br>
-------------- next part --------------<br>
An HTML attachment was scrubbed...<br>
<br>
------------------------------<br>
<br>
------------------------------<wbr>------------------------------<wbr>------------------<br>
Developer Access Program for Intel Xeon Phi Processors<br>
Access to Intel Xeon Phi processor-based developer platforms.<br>
With one year of Intel Parallel Studio XE.<br>
Training and support from Colfax.<br>
Order your platform today. <a href="http://sdm.link/xeonphi" rel="noreferrer" target="_blank">http://sdm.link/xeonphi</a><br>
<br>
------------------------------<br>
<br>
______________________________<wbr>_________________<br>
Snort-users mailing list<br>
<a href="mailto:Snort-users@lists.sourceforge.net">Snort-users@...3783...<wbr>net</a><br>
<a href="https://lists.sourceforge.net/lists/listinfo/snort-users" rel="noreferrer" target="_blank">https://lists.sourceforge.net/<wbr>lists/listinfo/snort-users</a><br>
<br>
<br>
End of Snort-users Digest, Vol 128, Issue 24<br>
******************************<wbr>**************<br>
</blockquote></div><br></div></div>